GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Concepts | Typedefs
gridfire::solver Namespace Reference

## Classes
class | GridSolver
struct | GridSolverContext
class | MultiZoneNetworkSolver
class | PointSolver
| Stiff ODE integrator backed by SUNDIALS CVODE (BDF) for network + energy. More...
struct | PointSolverContext
struct | PointSolverTimestepContext
class | SingleZoneNetworkSolver
| Abstract base class for network solver strategies. More...
struct | SolverContextBase
struct | TimestepContextBase
| Base class for solver callback contexts. More...

## Concepts
concept | IsEngine

## Typedefs
using | TimestepCallback = std::function<void(const PointSolverTimestepContext& context)>
| Type alias for a timestep callback function.
using | SingleZoneDynamicNetworkSolver = SingleZoneNetworkSolver<engine::DynamicEngine>
| Type alias for a network solver strategy that uses a DynamicEngine.
using | MultiZoneDynamicNetworkSolver = MultiZoneNetworkSolver<engine::DynamicEngine>

## Typedef Documentation

## ◆ MultiZoneDynamicNetworkSolver

using gridfire::solver::MultiZoneDynamicNetworkSolver = MultiZoneNetworkSolver<engine::DynamicEngine>

## ◆ SingleZoneDynamicNetworkSolver

using gridfire::solver::SingleZoneDynamicNetworkSolver = SingleZoneNetworkSolver<engine::DynamicEngine>

Type alias for a network solver strategy that uses a DynamicEngine.

## ◆ TimestepCallback

using gridfire::solver::TimestepCallback = std::function<void(const PointSolverTimestepContext& context)>

Type alias for a timestep callback function.